<?php
/**
 * Dynamic CSS
 */
function aster_portfolio_dynamic_css() {
	$aster_portfolio_primary_color = get_theme_mod( 'aster_portfolio_primary_color', '#16BBBD' );

	$aster_portfolio_site_title_font       = get_theme_mod( 'aster_portfolio_site_title_font', 'Eater' );
	$aster_portfolio_site_description_font = get_theme_mod( 'aster_portfolio_site_description_font', 'Sora' );
	$aster_portfolio_header_font           = get_theme_mod( 'aster_portfolio_header_font', 'DM Sans' );
	$aster_portfolio_content_font          = get_theme_mod( 'aster_portfolio_content_font', 'Sora' );

	// Enqueue Google Fonts
	$aster_portfolio_fonts_url = aster_portfolio_get_fonts_url();
	if ( ! empty( $aster_portfolio_fonts_url ) ) {
		wp_enqueue_style( 'aster-portfolio-google-fonts', esc_url( $aster_portfolio_fonts_url ), array(), null );
	}

	$aster_portfolio_custom_css  = '';
	$aster_portfolio_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $aster_portfolio_primary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$aster_portfolio_custom_css .= '
    /* Typography */
    :root {
        --font-heading: "' . esc_attr( $aster_portfolio_header_font ) . '", sans-serif;
        --font-content: "' . esc_attr( $aster_portfolio_content_font ) . '", sans-serif;
    }


    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $aster_portfolio_content_font ) . '", sans-serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a, header.site-header .header-main-wrapper:not(.transparent-header) .bottom-header-outer-wrapper .bottom-header-part .bottom-header-part-wrapper .site-branding .site-identity .site-title .slider-text {
        font-family: "' . esc_attr( $aster_portfolio_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $aster_portfolio_site_description_font ) . '", sans-serif !important;
	}
    ';

	wp_add_inline_style( 'aster-portfolio-style', $aster_portfolio_custom_css );
}
add_action( 'wp_enqueue_scripts', 'aster_portfolio_dynamic_css', 99 );